<header class="l-header">
	<a href="/" class="l-header-logo db">
		<strong class="l-header-logo__name db fl">VSM</strong>
		<small class="l-header-logo__caption db fl">Доставка воды</small>
	</a>

	<form class="l-header-search js-search-container fr" action="/search" method="GET">
		<button type="button" class="js-search-open l-header-search__button db"><svg viewBox="0 0 22 22"><path d="M9.6 18.1c-4.7 0-8.5-3.8-8.5-8.5S5 1.1 9.6 1.1s8.5 3.8 8.5 8.5-3.8 8.5-8.5 8.5zm0-15C6 3.1 3.1 6 3.1 9.6s2.9 6.5 6.5 6.5 6.5-2.9 6.5-6.5-2.9-6.5-6.5-6.5zM14.398 15.879l1.414-1.415 5.021 5.02-1.414 1.415z"/></svg></button>

		<input placeholder="Поиск" required="required" type="search" name="q" class="l-header-search__input"/>
		<button type="button" class="l-header-search__close js-search-close db"><svg viewBox="0 0 22 22"><path d="M1.313 19.273l18.03-18.031 1.415 1.414L2.727 20.688z"/><path d="M1.312 2.727l1.415-1.414 18.031 18.03-1.414 1.415z"/></svg></button>
		<button type="submit" class="l-header-search__submit db"><svg viewBox="0 0 22 22"><path d="M9.6 18.1c-4.7 0-8.5-3.8-8.5-8.5S5 1.1 9.6 1.1s8.5 3.8 8.5 8.5-3.8 8.5-8.5 8.5zm0-15C6 3.1 3.1 6 3.1 9.6s2.9 6.5 6.5 6.5 6.5-2.9 6.5-6.5-2.9-6.5-6.5-6.5zM14.398 15.879l1.414-1.415 5.021 5.02-1.414 1.415z"/></svg></button>
	</form>

	<button type="button" class="js-login-popup-form-trigger l-header-login db fr">Войти</button>

	<figure class="l-header-cart db fr"><svg viewBox="0 0 22 20"><path d="M14.5 20h-7c-1.3 0-2.5-.9-2.9-2.2L3.1 9.4.1 5h21.7l-2.9 4.4-1.5 8.3c-.4 1.4-1.6 2.3-2.9 2.3zM3.9 7L5 8.6l1.6 8.8c.1.3.5.6.9.6h7c.4 0 .8-.3 1-.7l1.6-8.7 1-1.6H3.9z"/><path d="M17 6h-2c0-1.6-2.4-4-4-4S7 4.4 7 6H5c0-2.7 3.3-6 6-6s6 3.3 6 6z"/></svg><span>Корзина пуста</span></figure>

	<nav class="js-header-nav l-header-nav fr">
		<button type="button" class="js-header-nav-trigger l-header-nav__trigger">
			<svg viewBox="0 0 22 22"><path d="M20 7H2c-.6 0-1-.4-1-1s.4-1 1-1h18c.6 0 1 .4 1 1s-.4 1-1 1zM20 12H2c-.6 0-1-.4-1-1s.4-1 1-1h18c.6 0 1 .4 1 1s-.4 1-1 1zM20 17H2c-.6 0-1-.4-1-1s.4-1 1-1h18c.6 0 1 .4 1 1s-.4 1-1 1z"/></svg>
		</button>

		<ul class="l-header-nav__list">
			{{#each header.nav as |item|}}
				<li class="l-header-nav__item fl">
					<a href="/{{item.href}}" class="l-header-nav__link db">{{item.title}}</a>
				</li>
			{{/each}}
		</ul>

		<figure class="l-header-cart db fr"><svg viewBox="0 0 22 20"><path d="M14.5 20h-7c-1.3 0-2.5-.9-2.9-2.2L3.1 9.4.1 5h21.7l-2.9 4.4-1.5 8.3c-.4 1.4-1.6 2.3-2.9 2.3zM3.9 7L5 8.6l1.6 8.8c.1.3.5.6.9.6h7c.4 0 .8-.3 1-.7l1.6-8.7 1-1.6H3.9z"/><path d="M17 6h-2c0-1.6-2.4-4-4-4S7 4.4 7 6H5c0-2.7 3.3-6 6-6s6 3.3 6 6z"/></svg><span>Корзина пуста</span></figure>

		<button type="button" class="js-login-popup-form-trigger l-header-login db fr">Войти</button>

		<form class="l-header-search js-search-container fr" action="/search" method="GET">
			<button type="button" class="js-search-open l-header-search__button db"><svg viewBox="0 0 22 22"><path d="M9.6 18.1c-4.7 0-8.5-3.8-8.5-8.5S5 1.1 9.6 1.1s8.5 3.8 8.5 8.5-3.8 8.5-8.5 8.5zm0-15C6 3.1 3.1 6 3.1 9.6s2.9 6.5 6.5 6.5 6.5-2.9 6.5-6.5-2.9-6.5-6.5-6.5zM14.398 15.879l1.414-1.415 5.021 5.02-1.414 1.415z"/></svg></button>

			<input placeholder="Поиск" required="required" type="search" name="q" class="l-header-search__input"/>
			<button type="button" class="l-header-search__close js-search-close db"><svg viewBox="0 0 22 22"><path d="M1.313 19.273l18.03-18.031 1.415 1.414L2.727 20.688z"/><path d="M1.312 2.727l1.415-1.414 18.031 18.03-1.414 1.415z"/></svg></button>
			<button type="submit" class="l-header-search__submit db"><svg viewBox="0 0 22 22"><path d="M9.6 18.1c-4.7 0-8.5-3.8-8.5-8.5S5 1.1 9.6 1.1s8.5 3.8 8.5 8.5-3.8 8.5-8.5 8.5zm0-15C6 3.1 3.1 6 3.1 9.6s2.9 6.5 6.5 6.5 6.5-2.9 6.5-6.5-2.9-6.5-6.5-6.5zM14.398 15.879l1.414-1.415 5.021 5.02-1.414 1.415z"/></svg></button>
		</form>
	</nav>
</header>

<script type="text/javascript">
	// Search
	(function () {
		var $searches = Array.from(document.querySelectorAll('.js-search-container'));

		$searches.forEach(function ($search) {
			var $open = $search.querySelector('.js-search-open');
			var $close = $search.querySelector('.js-search-close');

			$open.addEventListener('click', function () {
				$search.classList.add('active');
			}, false);

			$close.addEventListener('click', function () {
				$search.classList.remove('active');
			}, false);
		});
	})();

	// Nav
	(function () {
		var $trigger = document.querySelector('.js-header-nav-trigger');
		var $nav = document.querySelector('.js-header-nav');

		var toggleNavigation = function () {
			$nav.classList.toggle('active');
		};

		$trigger.addEventListener('click', toggleNavigation, false);
	})();

	// Popups
	window.addEventListener('DOMContentLoaded', function () {
		var $popups = Array.from(document.querySelectorAll('.js-popup'));
		var $overlays = Array.from(document.querySelectorAll('.js-popup-overlay'));
		var $closes = Array.from(document.querySelectorAll('.js-popup-close'));

		var closeAllPopups = function () {
			$popups.forEach(function ($popup) {
				$popup.classList.remove('active');
			});
		};

		$overlays.forEach(function ($overlay) {
			$overlay.addEventListener('click', closeAllPopups, false);
		});

		$closes.forEach(function ($close) {
			$close.addEventListener('click', closeAllPopups, false);
		});

		// Login popup
		(function () {
			var $triggers = Array.from(document.querySelectorAll('.js-login-popup-form-trigger'));
			var $loginPopup = document.querySelector('.js-login-popup-form');

			var onClick = function () {
				closeAllPopups();
				$loginPopup.classList.add('active');
			};

			$triggers.forEach(function ($trigger) {
				$trigger.addEventListener('click', onClick, false);
			});
		})();

		// Signin popup
		(function () {
			var $triggers = Array.from(document.querySelectorAll('.js-signup-popup-form-trigger'));
			var $signupPopup = document.querySelector('.js-signup-popup-form');

			var onClick = function () {
				closeAllPopups();
				$signupPopup.classList.add('active');
			};

			$triggers.forEach(function ($trigger) {
				$trigger.addEventListener('click', onClick, false);
			});
		})();

		// Forgotten password popup
		(function () {
			var $triggers = Array.from(document.querySelectorAll('.js-forgotten-password-popup-form-trigger'));
			var $forgottenPopup = document.querySelector('.js-forgotten-password-popup-form');

			var onClick = function () {
				closeAllPopups();
				$forgottenPopup.classList.add('active');
			};

			$triggers.forEach(function ($trigger) {
				$trigger.addEventListener('click', onClick, false);
			});
		})();
	}, false)


</script>
